Bug 35696 - Jasper does not call relase method for non pool custom jsp tags
Jasper does not call relase method for non pool custom jsp tags
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Jasper
5.0.28
Other other
: P3 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-07-11 23:26 UTC by Rüdiger Plüm
Modified: 2005-07-25 04:04 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rüdiger Plüm 2005-07-11 23:26:33 UTC
First off all this report is not about the stuff discussed in
http://issues.apache.org/bugzilla/show_bug.cgi?id=16001. I am not complaining
about the relase method not being called between different invocations of a tag.
This is correct and spec compliant.

As far as I understand the specs the JSP environment must guarantee that release
is called at least ONCE during the lifetime of a tag instance. If this tag is
pooled this is done in the _jspDestroy method, but if tag pooling is disabled I
see no call to release.
I was forced to turn off the pooling because the 3rd party who created the
application did implement its tags in a NON spec compliant way such that private
internal data does not get reseted correctly for subsequent calls of the same
tag instance. I just want to be sure that release is also called in this non
pooling case.

Regards

Rüdiger
Comment 1 william.barker 2005-07-21 06:00:01 UTC
This is fixed in the CVS, and will appear in 5.5.10
Comment 2 Rüdiger Plüm 2005-07-25 12:04:52 UTC
Thanks for the info. Are there plans for a backport of this fix to 5.0.x?